Reward payment made on the burnchain

export
interface

  BurnchainReward

### Hierarchy

- BurnchainReward

## Index

### Properties

- burn_amount
- burn_block_hash
- burn_block_height
- canonical
- reward_amount
- reward_index
- reward_recipient

## Properties

### burn_amount

burn_amount: string

- Defined in src/generated/models/BurnchainReward.ts:45

The total amount of burnchain tokens burned for this burnchain block, in the smallest unit (e.g. satoshis for Bitcoin)

memberof

  BurnchainReward

### burn_block_hash

burn_block_hash: string

- Defined in src/generated/models/BurnchainReward.ts:33

The hash representing the burnchain block

memberof

  BurnchainReward

### burn_block_height

burn_block_height: number

- Defined in src/generated/models/BurnchainReward.ts:39

Height of the burnchain block

memberof

  BurnchainReward

### canonical

canonical: boolean

- Defined in src/generated/models/BurnchainReward.ts:27

Set to `true` if block corresponds to the canonical burchchain tip

memberof

  BurnchainReward

### reward_amount

reward_amount: string

- Defined in src/generated/models/BurnchainReward.ts:57

The amount of burnchain tokens rewarded to the recipient, in the smallest unit (e.g. satoshis for Bitcoin)

memberof

  BurnchainReward

### reward_index

reward_index: number

- Defined in src/generated/models/BurnchainReward.ts:63

The index position of the reward entry, useful for ordering when there's more than one recipient per burnchain block

memberof

  BurnchainReward

### reward_recipient

reward_recipient: string

- Defined in src/generated/models/BurnchainReward.ts:51

The recipient address that received the burnchain rewards, in the format native to the burnchain (e.g. B58 encoded for Bitcoin)

memberof

  BurnchainReward

Generated using TypeDoc